org.springframework.web.socket.config.annotation

## Class ServletWebSocketHandlerRegistration

- java.lang.Object
- - org.springframework.web.socket.config.annotation.AbstractWebSocketHandlerRegistration<MultiValueMap<HttpRequestHandler,String>>
  - - org.springframework.web.socket.config.annotation.ServletWebSocketHandlerRegistration

- All Implemented Interfaces:
    WebSocketHandlerRegistration

      public class ServletWebSocketHandlerRegistration
      extends AbstractWebSocketHandlerRegistration<MultiValueMap<HttpRequestHandler,String>>

  A helper class for configuring `WebSocketHandler` request handling including SockJS fallback options.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletWebSocketHandlerRegistration(TaskScheduler sockJsTaskScheduler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addSockJsServiceMapping(MultiValueMap<HttpRequestHandler,String> mappings, SockJsService sockJsService, WebSocketHandler handler, String pathPattern)`
    `protected void` | `addWebSocketHandlerMapping(MultiValueMap<HttpRequestHandler,String> mappings, WebSocketHandler wsHandler, HandshakeHandler handshakeHandler, HandshakeInterceptor[] interceptors, String path)`
    `protected MultiValueMap<HttpRequestHandler,String>` | `createMappings()`

    - ### Methods inherited from class org.springframework.web.socket.config.annotation.AbstractWebSocketHandlerRegistration

      `addHandler, addInterceptors, getHandshakeHandler, getInterceptors, getMappings, setHandshakeHandler, setInterceptors, withSockJS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletWebSocketHandlerRegistration

          public ServletWebSocketHandlerRegistration(TaskScheduler sockJsTaskScheduler)

  - ### Method Detail

    - #### createMappings

          protected MultiValueMap<HttpRequestHandler,String> createMappings()

      Specified by:
        `createMappings` in class `AbstractWebSocketHandlerRegistration<MultiValueMap<HttpRequestHandler,String>>`

    - #### addSockJsServiceMapping

          protected void addSockJsServiceMapping(MultiValueMap<HttpRequestHandler,String> mappings,
                                                 SockJsService sockJsService,
                                                 WebSocketHandler handler,
                                                 String pathPattern)

      Specified by:
        `addSockJsServiceMapping` in class `AbstractWebSocketHandlerRegistration<MultiValueMap<HttpRequestHandler,String>>`

    - #### addWebSocketHandlerMapping

          protected void addWebSocketHandlerMapping(MultiValueMap<HttpRequestHandler,String> mappings,
                                                    WebSocketHandler wsHandler,
                                                    HandshakeHandler handshakeHandler,
                                                    HandshakeInterceptor[] interceptors,
                                                    String path)

      Specified by:
        `addWebSocketHandlerMapping` in class `AbstractWebSocketHandlerRegistration<MultiValueMap<HttpRequestHandler,String>>`